Sign in to follow this  
RexGrant

Steve’s DX10 Fixer

Recommended Posts

Hi I am useing win7 64bit and my  grafics are set for DX11 by windows .  I would realy like to run

Flight 1 Focker 70 / 100 Simulation aircraft in FSXSP2 but it clearly says , the FSX version is not compatible with the DX10 preview setting.

as I do not have the Knowlage on these technicle sujects Would you please give me your responce.

Could I run Flight 1 Focker on my PC with the help of installing Steve,s Fixer or should I wait to see if flight 1 comes out with a fix

Best regards

Rex

 

 

Share this post


Link to post
Help AVSIM continue to serve you!
Please donate today!

No version of FSX uses DX11 (P3D, however, does).  Windows supports up to DX11, but FSX does not--it's a DX9 product that can run in DX10 "preview" mode when you explicitly set it.

 

That said, if you have not explicitly enabled DX10 Preview, the Fokker will run as normal.  If you are running the preview, the Fokker may or may not work properly--Steve's fixer has cured many of the ills which made a lot of add-ons "incompatible" with DX10 preview mode.

 

As far as a future fix, I don't think the Fokker is being actively developed any more...IIRC, that was Hans Hartmann/DigitalAviation behind that one, and their website has been on terminal life support for 4-5 years now.

 

So, bottom line, if you want the Fokker in DX10, you'll have to experiment a bit.  With Flight1's no-quibble 30-day refund policy you can try it and see--if it doesn't work as you want, you can get a refund.

 

Regards

Share this post


Link to post

Hi,

 

windows will only ever show the latest installed version of DX even if you have dx9 and 10 installed. So far i have no issues with any planes payware or free, but you might have issues with planes compiled for FS9.

Share this post


Link to post

No version of FSX uses DX11 (P3D, however, does).  Windows supports up to DX11, but FSX does not--it's a DX9 product that can run in DX10 "preview" mode when you explicitly set it.

 

That said, if you have not explicitly enabled DX10 Preview, the Fokker will run as normal.  If you are running the preview, the Fokker may or may not work properly--Steve's fixer has cured many of the ills which made a lot of add-ons "incompatible" with DX10 preview mode.

 

As far as a future fix, I don't think the Fokker is being actively developed any more...IIRC, that was Hans Hartmann/DigitalAviation behind that one, and their website has been on terminal life support for 4-5 years now.

 

So, bottom line, if you want the Fokker in DX10, you'll have to experiment a bit.  With Flight1's no-quibble 30-day refund policy you can try it and see--if it doesn't work as you want, you can get a refund.

 

Regards

Thank you Bob.   I will prbebly give it a try.

Hi,

 

windows will only ever show the latest installed version of DX even if you have dx9 and 10 installed. So far i have no issues with any planes payware or free, but you might have issues with planes compiled for FS9.

Thank you. mjr I may have to learn how to set a particular DX

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this